package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.equipment.entity.EquipmentType;
import com.lz.modules.equipment.entity.EquipmentTypeReq;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-24
*/
public interface IEquipmentTypeService extends IService<EquipmentType> {



	EquipmentType selectEquipmentTypeById(Long id);


	Long insertEquipmentType(EquipmentType equipmentType);


	int updateEquipmentTypeById(EquipmentType equipmentType);


	int updateCoverEquipmentTypeById(EquipmentType equipmentType);


	int deleteEquipmentTypeById(Long id);

	List<EquipmentType> listEquipmentTypes();


	EquipmentType selectByType(String type);

    PageUtils selectByCondition(EquipmentTypeReq req);

	List<EquipmentType> selectEquipmentTypeByType(String type);

    List<EquipmentType> selectAll();
}